# Get Account User

`GET /api/2.0/accounts/{account_id}/scim/v2/Users/{id}`

Gets information for a specific user in <Databricks> account.

API scopes: scim

## Path parameters

- `id` (string, optional)
  Unique ID for a user in the <Databricks> account.
- `account_id` (string, optional)
  <Databricks> account ID

## Query parameters

- `attributes` (string, optional)
  Comma-separated list of attributes to return in response.
- `count` (int32, optional)
  Desired number of results per page. Default is 10000.
- `excludedAttributes` (string, optional)
  Comma-separated list of attributes to exclude in response.
- `filter` (string, optional)
  Query by which the results have to be filtered. Supported operators are equals(`eq`), contains(`co`), starts with(`sw`) and not equals(`ne`). Additionally, simple expressions can be formed using logical operators - `and` and `or`. The [SCIM RFC](https://tools.ietf.org/html/rfc7644#section-3.4.2.2) has more details but we currently only support simple expressions.
- `sortBy` (string, optional)
  Attribute to sort the results. Multi-part paths are supported. For example, `userName`, `name.givenName`, and `emails`.
- `sortOrder` (string, optional)
  The order to sort the results.
  Possible values: `GET_SORT_ORDER_UNSPECIFIED`, `ASCENDING`, `DESCENDING`
- `startIndex` (int32, optional)
  Specifies the index of the first result. First item is number 1.

## Returns

- `active` (boolean, optional)
  If this user is active
- `displayName` (string, optional)
  String that represents a concatenation of given and family names. For example `John Smith`.
- `emails` (array of object, optional)
  All the emails associated with the <Databricks> user. This attribute cannot be updated through the SCIM PATCH or PUT APIs; any supplied change is ignored.
  - `display` (string, optional)
  - `primary` (boolean, optional)
  - `$ref` (string, optional)
  - `type` (string, optional)
  - `value` (string, optional)
- `externalId` (string, optional)
  External ID is not currently supported. It is reserved for future use.
  Constraints: `<= 64 characters`
- `id` (string, optional)
  <Databricks> user ID.
- `name` (object, optional)
  - `familyName` (string, optional)
    Family name of the <Databricks> user.
  - `givenName` (string, optional)
    Given name of the <Databricks> user.
- `roles` (array of object, optional)
  Indicates if the group has the admin role.
  - `display` (string, optional)
  - `primary` (boolean, optional)
  - `$ref` (string, optional)
  - `type` (string, optional)
  - `value` (string, optional)
- `userName` (string, optional)
  Email address of the <Databricks> user. This attribute cannot be updated through the SCIM PATCH or PUT APIs; any supplied change is ignored.
- `account_id` (string, optional)
  <Databricks> account ID

## Response

```json
{
  "active": true,
  "displayName": "string",
  "emails": [
    {
      "display": "string",
      "primary": true,
      "$ref": "string",
      "type": "string",
      "value": "string"
    }
  ],
  "externalId": "string",
  "id": "string",
  "name": {
    "familyName": "string",
    "givenName": "string"
  },
  "roles": [
    {
      "display": "string",
      "primary": true,
      "$ref": "string",
      "type": "string",
      "value": "string"
    }
  ],
  "userName": "string",
  "account_id": "string"
}
```

